<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Sismalp : réseau de surveillance sismique des Alpes françaises</title>
    <meta name="description" content="Un site présentant les données sismiques des Alpes françaises du réseau d'observation de surveillance Sismalp">
    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.9.4/dist/leaflet.css" integrity="sha256-p4NxAoJBhIIN+hmNHrzRCf9tD/miZyoHS5obTRR9BMY=" crossorigin="">
    <link rel="stylesheet" href="./public/css/normalize.css" type="text/css">
    <link rel="stylesheet" href="./public/css/style.css" type="text/css">
    <link rel="stylesheet" href="./iconcaptcha/assets/client/css/iconcaptcha.min.css" type="text/css">

    <style id="accessibilityStyle">
    </style>
</head>
<body>

<header <?php if(isset($_SESSION['id'])) { echo 'class="backoffice"'; } ?>>
    <nav>
      <div class="accessibility-menu">
        <div class="select-accessibility-menu">
          Menu d'accessibilité
          <svg tabindex="0" class="chevron-down" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M1.92893 1.07107L9 8.14214L16.0711 1.07107" stroke="currentColor" stroke-width="3"/></svg>
        </div>
        <ul class="flex accessibility-filter">
            <li class="form-check">
                <label for="policeCheckbox" class="form-check-label form-check-toggle" >
                  <input id="policeCheckbox" class="form-check-input" type="checkbox" tabindex="0"><span>Police augmentée</span>
                </label>
            </li>
            <li class="form-check">
                <label for="lineheightCheckbox"  class="form-check-label form-check-toggle" >
                  <input id="lineheightCheckbox" class="form-check-input" type="checkbox" tabindex="0"><span>Interlignage augmenté</span>
                </label>
            </li>
            <li class="form-check">
                <label for="contrastCheckbox" class="form-check-label form-check-toggle">
                  <input id="contrastCheckbox" class="form-check-input" type="checkbox" tabindex="0"><span>Contraste inversé</span>
                </label>
            </li>
        </ul>
      </div>
    </nav>
 
    <div class="flex">
        <?php if(isset($_SESSION['id'])) { ?>
        <a href="index.php?page=manage_requests" aria-label="Cliquer pour accéder à la page d'accueil" title="Cliquer pour accéder à la page d'accueil"><img class="header-logo" src="./public/img/logo/LogoSISMALP_white.png" alt="logo sismalp">
        <h1>Interface d'administration</h1>
        </a>
        <nav class="flex">
            <a class="logout-link" href="index.php?page=logout" aria-label="Cliquer pour se déconnecter" title="Cliquer pour se déconnecter"></a>
            <a class="author-link" href="index.php?page=author" aria-label="Cliquer pour gérer son profil" title="Cliquer pour gérer son profil"></a>
            <button id="burgerMenu" type="button" aria-expanded="false" aria-label="Menu" aria-controls="main-nav"></button>
            <ul class="flex" id="mainNav">
                <li><a href="index.php?page=manage_requests" aria-label="Cliquer pour gérer les demandes" title="Cliquer pour gérer les demandes">Gestion des demandes</a></li>
                <li><a href="index.php?page=manage_articles"  aria-label="Cliquer pour gérer les contenus" title="Cliquer pour gérer les contenus">Gestion des contenus</a></li>
                <?php  if (isset($_SESSION['role']) && $_SESSION['role'] <= 1) { ?>
                <li><a href="index.php?page=manage_authors"  aria-label="Cliquer pour gérer les auteurs" title="Cliquer pour gérer les auteurs">Gestion des auteurs</a></li>
                <?php } ?>
            </ul>
        </nav>
        <?php } else { ?>
         <a href="index.php" aria-label="Cliquer pour accéder à la page d'accueil" title="Cliquer pour accéder à la page d'accueil"><img class="header-logo" src="./public/img/logo/LogoSISMALP_white.png" alt="logo sismalp">
        <h1>Sismicité Alpine</h1>
        </a>
        <nav class="flex">
            <a class="twitter-link" href="https://twitter.com/sismalp1" aria-label="Cliquer pour accéder au réseau social x" title="Cliquer pour accéder au réseau social x" target="_blank"></a>
            <a class="contact-link" href="mailto:sismalp@univ-grenoble-alpes.fr" aria-label="Cliquer pour accéder au formulaire de contact" title="Cliquer pour accéder au formulaire de contact"></a>
            <button id="burgerMenu" type="button" aria-expanded="false" aria-label="Menu" aria-controls="mainNav"></button>
            <ul class="flex" id="mainNav">
                <li><a href="index.php?page=a_propos" aria-label="Cliquer pour accéder à notre page à propos" title="Cliquer pour accéder à notre page à propos">À propos</a></li>
                <li><a href="index.php?page=partenaires" aria-label="Cliquer pour accéder à notre page partenaires" title="Cliquer pour accéder à notre page partenaires">Partenaires</a></li>
            </ul>
        </nav>
        <?php }; ?>
    </div>
</header>

<main><?php $router->callActionFromRequest(); ?></main>

<footer class="flex <?php if(isset($_SESSION['id'])) { echo 'backoffice'; } ?>">
    <div class="flex">
        <p>© OSUG 2023 </p>
        <a href="index.php?page=mentions_legales" aria-label="Cliquer pour accéder à nos mentions légales" title="Cliquer pour accéder à nos mentions légales">Mentions légales</a>
    </div>
    <div class="flex">
        <a class="footer-logo" href="https://www.osug.fr/" aria-label="Cliquer pour accéder au site de l'Observatoire des Sciences de l'Univers de Grenoble" title="Cliquer pour accéder au site de l'Observatoire des Sciences de l'Univers de Grenoble"><img src="./public/img/logo/OSUGlogoSmallWhite.png" alt="OSUG logo"></a>
        <a class="footer-logo" href="https://www.cnrs.fr/fr" aria-label="Cliquer pour accéder au site du Centre National de la recherche scientifique" title="Cliquer pour accéder au site du Centre National de la recherche scientifique"><img src="./public/img/logo/LOGO-CNRS-2019-BLANC.png" alt="CNRS logo"></a>
        <a class="footer-logo" href="https://www.univ-grenoble-alpes.fr/" aria-label="Cliquer pour accéder au site de l'Université Grenoble Alpes" title="Cliquer pour accéder au site de l'Université Grenoble Alpes"><img src="./public/img/logo/logo_UGA_blanc_rvb.png" alt="UGA logo"></a>
    </div>
</footer>

<script src="https://unpkg.com/leaflet@1.9.4/dist/leaflet.js" integrity="sha256-20nQCchB9co0qIjJZRGuk2/Z9VM+kNiyxNV1lvTlZBo=" crossorigin=""></script>
<script src="./public/js/app.js"></script>
<script src="./iconcaptcha/assets/client/js/iconcaptcha.min.js" type="text/javascript"></script>
</body>
</html>